%if 0%{?fedora}
%global with_python3 1
%endif

%global pypi_name XStatic-Rickshaw

Name:           python-%{pypi_name}
Version:        1.5.0.0
Release:        10%{?dist}
Summary:        Rickshaw (XStatic packaging standard)

License:        MIT
URL:            http://code.shutterstock.com/rickshaw/
Source0:        https://files.pythonhosted.org/packages/source/X/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch

%description
JavaScript library packaged for setuptools (easy_install) / pip.

This package is intended to be used by any project that needs these files.

It intentionally does not provide any extra code except some metadata
nor has any extra requirements.

%package -n python2-%{pypi_name}
Summary:        %{summary}

BuildRequires:  python2-devel
BuildRequires:  python2-setuptools

Requires:       python2-XStatic
Requires:       xstatic-rickshaw-common

%{?python_provide:%python_provide python2-%{pypi_name}}

%description -n python2-%{pypi_name}
JavaScript library packaged for setuptools (easy_install) / pip.

This package is intended to be used by any project that needs these files.

It intentionally does not provide any extra code except some metadata
nor has any extra requirements.

This package provides Python 2 build of %{pypi_name}.

%if 0%{?with_python3}
%package -n python3-%{pypi_name}
Summary:        %{summary}

BuildRequires:  python3-devel
BuildRequires:  python3-setuptools

Requires:       python3-XStatic
Requires:       xstatic-rickshaw-common

%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
JavaScript library packaged for setuptools (easy_install) / pip.

This package is intended to be used by any project that needs these files.

It intentionally does not provide any extra code except some metadata
nor has any extra requirements.

This package provides Python 3 build of %{pypi_name}.
%endif

%package -n xstatic-rickshaw-common
Summary:        %{summary}

BuildRequires:  web-assets-devel
Requires:       web-assets-filesystem

%description -n xstatic-rickshaw-common
JavaScript library packaged for setuptools (easy_install) / pip.

This package is intended to be used by any project that needs these files.

It intentionally does not provide any extra code except some metadata
nor has any extra requirements.

This package contains the javascript files.

%prep
%autosetup -n %{pypi_name}-%{version}
# patch to use webassets dir
sed -i "s|^BASE_DIR = .*|BASE_DIR = '%{_jsdir}/rickshaw'|" xstatic/pkg/rickshaw/__init__.py

%build
%py2_build
%if 0%{?with_python3}
%py3_build
%endif

%install
%py2_install
mkdir -p %{buildroot}%{_jsdir}/rickshaw
mv %{buildroot}%{python2_sitelib}/xstatic/pkg/rickshaw/data/rickshaw.* %{buildroot}%{_jsdir}/rickshaw
rmdir %{buildroot}%{python2_sitelib}/xstatic/pkg/rickshaw/data/
# fix execute flags for js
chmod 644 %{buildroot}%{_jsdir}/rickshaw/rickshaw.js

%if 0%{?with_python3}
%py3_install
# Remove static files, already created by the python2 subpkg
rm -rf %{buildroot}%{python3_sitelib}/xstatic/pkg/rickshaw/data
%endif

%files -n python2-%{pypi_name}
%doc README.txt
%{python2_sitelib}/xstatic/pkg/rickshaw
%{python2_sitelib}/XStatic_Rickshaw-%{version}-py%{python2_version}.egg-info
%{python2_sitelib}/XStatic_Rickshaw-%{version}-py%{python2_version}-nspkg.pth

%if 0%{?with_python3}
%files -n python3-%{pypi_name}
%doc README.txt
%{python3_sitelib}/xstatic/pkg/rickshaw
%{python3_sitelib}/XStatic_Rickshaw-%{version}-py%{python3_version}.egg-info
%{python3_sitelib}/XStatic_Rickshaw-%{version}-py%{python3_version}-nspkg.pth
%endif

%files -n xstatic-rickshaw-common
%doc README.txt
%{_jsdir}/rickshaw

%changelog
* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.5.0.0-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Mon Dec 19 2016 Miro Hrončok <mhroncok@redhat.com> - 1.5.0.0-9
- Rebuild for Python 3.6

* Thu Oct 13 2016 Jan Beran <jberan@redhat.com> - 1.5.0.0-8
- Provides a Python 3 subpackage

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.5.0.0-7
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.5.0.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.5.0.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Wed Apr 15 2015 Matthias Runge <mrunge@redhat.com> - 1.5.0.0-4
- add rickshaw.css

* Fri Sep 05 2014 Matthias Runge <mrunge@redhat.com> - 1.5.0.0-3
- Fix License: MIT (rhbz#1135457)

* Thu Sep 04 2014 Matthias Runge <mrunge@redhat.com> - 1.5.0.0-2
- change BR to python2-devel

* Fri Aug 29 2014 Matthias Runge <mrunge@redhat.com> - 1.5.0.0-1
- Initial package.

